Package com.sun.mail.util

## Class LogOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - com.sun.mail.util.LogOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

    public class LogOutputStream
    extends java.io.OutputStream

Capture output lines and send them to the mail logger.

### Field Summary

Fields
`protected java.util.logging.Level` `level`
`protected MailLogger` `logger`

### Constructor Summary

Constructors
`LogOutputStream​(MailLogger logger)` Log to the specified logger.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `log​(java.lang.String msg)` Log the specified message.
`void` `write​(byte[] b)`
`void` `write​(byte[] b, int off, int len)`
`void` `write​(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### logger

    protected MailLogger logger

#### level

    protected java.util.logging.Level level

### Constructor Detail

#### LogOutputStream

    public LogOutputStream​(MailLogger logger)

Log to the specified logger.

Parameters:
  `logger` - the MailLogger

### Method Detail

#### write

    public void write​(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write​(byte[] b)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write​(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### log

    protected void log​(java.lang.String msg)

Log the specified message. Can be overridden by subclass to do different logging.

Parameters:
  `msg` - the message to log